Apache 2.4 Crash When WLS Plugin 12c Is Loaded

(Doc ID 1630620.1)

Last updated on NOVEMBER 05, 2016

Applies to:

Oracle WebLogic Server - Version 12.1.2.0.0 and later
Information in this document applies to any platform.

Symptoms

Customer has built a new version of Apache 2.4.6 and it works fine until the WebLogic 12c plugin module (mod_wl_24.so) is loaded.

As soon as the weblogic 12c plugin is loaded (using LoadModule weblogic_module /opt/apache/wl_12c_plugin/lib/mod_wl_24.so), Apache throws a core dump on startup.

With the equivalent configuration (and switching to mod_wl.so), Apache 2.2.x works ok.

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms